#define CAPTION_LOC "Output"
#define OPT1_TXT_LOC "Output to Screen"
#define OPT2_TXT_LOC "Output to Window"
#define OPT3_TXT_LOC "Output to File"
#define OPT4_TXT_LOC "No Output"
#define CMD1_TXT_LOC "Erase Output Area"
#define CMD2_TXT_LOC "Track Mouse Events"
#define CMD3_TXT_LOC "Hide Windows"
#define CMD4_TXT_LOC "Close Event Tracker"
#define WW_TXT_LOC "Press a key to return..."

Public NOutput, lTrackMouse, LDone
LDone = .f.
NOutput = 1
lTrackMouse = .f.
Public EventTool
EventTool = CREATEOBJECT("CustTool")
EventTool.Show

DEFINE CLASS CustTool AS ToolBar
  Caption = CAPTION_LOC
  Left = 34
  Height = 2
  SmallHeight = 1.92
  SmallWidth = 4.00
  LargeHeight = 3
  LargeWidth = 7
  ButtonSize = 0 && Small -- 1 is Large
  Visible = .t.
  ControlBox = .F.
  
  ADD OBJECT optgrp1 AS OPTIONGROUP WITH ;
  	BorderWidth = 0, ButtonCount = 4, Height = This.SmallHeight, Width = (4*This.SmallWidth), ;
  	option1.Style = 1, option1.picture = "Screen.BMP", option1.Height = This.SmallHeight, ;
  	option1.Width = This.SmallWidth, option1.Top = 0, option1.Left = 0, option1.Caption = '', option1.ToolTipText = OPT1_TXT_LOC, ;
    option2.Style = 1, option2.picture = "Commdwin.BMP", option2.Height = This.SmallHeight, ;
    option2.Width = This.SmallWidth, option2.Top = 0, option2.Left = This.SmallWidth, option2.Caption = '', option2.ToolTipText = OPT2_TXT_LOC, ;
  	option3.Style = 1, option3.picture = "New.BMP", option3.Height = This.SmallHeight, ;
  	option3.Width = This.SmallWidth, option3.Top = 0, option3.Left = (2*This.SmallWidth), option3.Caption = '', option3.ToolTipText = OPT3_TXT_LOC, ;
  	option4.Style = 1, option4.picture = "Remove.BMP", option4.Height = This.SmallHeight, ;
  	option4.Width = This.SmallWidth, option4.Top = 0, option4.Left = (3*This.SmallWidth), option4.Caption = '', option4.ToolTipText = OPT4_TXT_LOC

  ADD OBJECT sep1 AS SEPARATOR

  ADD OBJECT cmdErase AS COMMANDBUTTON WITH;
    Height = This.SmallHeight, Width = This.SmallWidth, ;
    Caption = "", picture = "Erase.BMP", ToolTipText = CMD1_TXT_LOC

  ADD OBJECT cmdMouse AS CHECKBOX WITH;
    Style = 1, Height = This.SmallHeight, Width = This.SmallWidth, ;
    Caption = "", picture = "Mouse.BMP", ToolTipText = CMD2_TXT_LOC
 
  ADD OBJECT sep2 AS SEPARATOR

  ADD OBJECT cmdHide AS COMMANDBUTTON WITH;
    Height = This.SmallHeight, Width = This.SmallWidth, ;
    Caption = "", picture = "Hide.BMP",ToolTipText = CMD3_TXT_LOC
    
  ADD OBJECT sep3 AS SEPARATOR
  
  ADD OBJECT cmdClose AS COMMANDBUTTON WITH;
    Height = This.SmallHeight, Width = This.SmallWidth, ;
    Caption = "", picture = "Close.BMP",ToolTipText = CMD4_TXT_LOC

  PROCEDURE Destroy
    CLEAR EVENTS
  ENDPROC

  PROCEDURE optgrp1.option1.Click
 	NOutput = 1
	oFormSet.EventWin.Visible = .f.
  ENDPROC
  
  PROCEDURE optgrp1.option2.Click
 	NOutput = 2
	oFormSet.EventWin.Visible = .t.
  ENDPROC
  
  PROCEDURE optgrp1.option3.Click
 	NOutput = 3
	oFormSet.EventWin.Visible = .f.
  ENDPROC

  PROCEDURE optgrp1.option4.Click
 	NOutput = 4
	oFormSet.EventWin.Visible = .f.
  ENDPROC
 
  PROCEDURE cmdErase.Click
	DO CASE
	CASE NOutput = 1
		Activate Screen
		CLEAR
	CASE NOutput = 2
		oFormSet.EventWin.Edit1.Value = ""
	ENDCASE
  ENDPROC
 
  PROCEDURE cmdMouse.Click
  IF lTrackMouse
	  lTrackMouse = .f.
  ELSE
	  lTrackMouse = .t.
  ENDIF

  ENDPROC
 
  PROCEDURE cmdHide.Click
	oFormSet.visible = .f.
	WAIT WINDOW WW_TXT_LOC
	oFormSet.visible = .t.
  ENDPROC
 
  PROCEDURE cmdClose.Click
  	LDone = .t.
	oFormSet.Activate
  ENDPROC

ENDDEFINE