PUBLIC oToolBar, oNewForm

* International defines
#define TOOLBAR_CAPTION_LOC "Drag and Drop Toolbar"
#define TOOLBAR_CMDBUTTON1_CAPTION_LOC "Red"
#define TOOLBAR_CMDBUTTON2_CAPTION_LOC "Yellow"
#define TOOLBAR_CMDBUTTON3_CAPTION_LOC "Green"
#define FORM_CAPTION_LOC "Drag and Drop Example"
#define LABEL1_CAPTION_LOC "Drag toolbar objects onto form controls."
#define LABEL2_CAPTION_LOC "Drag them to the toolbar to remove them."
#define OK_LOC "OK"
#define RESET_LOC "Reset"
#define H1_LOC 200
#define H2_LOC 272
#define H3_LOC 162
#define H4_LOC 25
#define H5_LOC 50
#define L1_LOC 3
#define L2_LOC 6
#define L3_LOC 58
#define L4_LOC 111
#define L5_LOC 168
#define T1_LOC 3
#define T2_LOC 166
#define T3_LOC 184
#define T4_LOC 6
#define T5_LOC 59
#define T6_LOC 112
#define W1_LOC 162
#define W2_LOC 50



oToolbar=create('ctoolbar')
oNewForm=create('formbutton')

oToolBar.Show
oNewForm.Show
oNewForm.cmdquit.SetFocus

DEFINE CLASS ctoolbar AS TOOLBAR
* Toolbar contains the controls that will be dropped
Scalemode = 1
Caption = TOOLBAR_CAPTION_LOC
* Make this a control array
DIMENSION cmdim(3)
ADD OBJECT cmdim(1) as cmdformbutton WITH Picture="red.bmp",caption = TOOLBAR_CMDBUTTON1_CAPTION_LOC
ADD OBJECT cmdim(2) as cmdformbutton WITH Picture= "yellow.bmp",caption= TOOLBAR_CMDBUTTON2_CAPTION_LOC
ADD OBJECT cmdim(3) as cmdformbutton WITH Picture="green.bmp", caption = TOOLBAR_CMDBUTTON3_CAPTION_LOC

ENDDEFINE

DEFINE CLASS formbutton AS FORM
Height = H1_LOC
Width = H2_LOC
Scalemode = 1
Autocenter = .t.
BackColor = RGB(192,192,192)
Caption= FORM_CAPTION_LOC

ADD OBJECT shpbox AS shape WITH Left = L1_LOC, Top = T1_LOC, Height = H3_LOC, ;
	Width = W1_LOC, SpecialEffect = 0

ADD OBJECT label1 AS label WITH caption = LABEL1_CAPTION_LOC ,;
	AutoSize = .t., Left = L1_LOC, Top = T2_LOC, BackColor = RGB(192,192,192)
ADD OBJECT label2 AS label WITH caption = LABEL2_CAPTION_LOC ,;
	AutoSize = .t., Left = L1_LOC, Top = T3_LOC, BackColor = RGB(192,192,192)

* Make this a control array
DIMENSION cmdform(9)
ADD OBJECT cmdform(1) AS cmdformbutton WITH Left = L2_LOC, Top = T4_LOC 
ADD OBJECT cmdform(2) AS cmdformbutton WITH Left = L3_LOC , Top = T4_LOC
ADD OBJECT cmdform(3) AS cmdformbutton WITH Left = L4_LOC, Top = T4_LOC
ADD OBJECT cmdform(4) AS cmdformbutton WITH Left =L2_LOC, Top = T5_LOC
ADD OBJECT cmdform(5) AS cmdformbutton WITH Left = L3_LOC, Top = T5_LOC
ADD OBJECT cmdform(6) AS cmdformbutton WITH Left = L4_LOC, Top = T5_LOC
ADD OBJECT cmdform(7) AS cmdformbutton WITH Left = L2_LOC, Top= T6_LOC
ADD OBJECT cmdform(8) AS cmdformbutton WITH Left= L3_LOC, Top = T6_LOC
ADD OBJECT cmdform(9) AS cmdformbutton WITH Left = L4_LOC, Top = T6_LOC

ADD OBJECT cmdquit as CMDQUIT 
ADD OBJECT cmreset as CMDRESET

PROCEDURE Destroy
	RELEASE oToolBar
	RELEASE oNewForm
	IF NOT (TYPE('main') = 'U' OR ISNULL(main))
		main.show
	ENDIF
ENDPROC

ENDDEFINE

DEFINE CLASS cmdformbutton AS commandbutton
Scalemode = 1
Dragmode = 1
Width = W2_LOC
Height= H5_LOC
Caption = " "
FontTransparent = .T.
PROCEDURE dragdrop
PARAMETER newsource, newcurrentx , newcurrenty, newstate
* If the source is a toolbar button and the target is on the form,
* or the source is form button, the caption and picture properties are copied.
* If the source is a Form button and the target is a toolbar button, the effect 
* of pulling the information from the form is achieved.
DO CASE
	CASE this.Parent.Baseclass="Form"
		this.Caption=Newsource.Caption
		this.Picture=Newsource.Picture
 	
 	CASE this.parent.Baseclass="Toolbar" AND newsource.parent.baseclass="Form"
 		newsource.Caption=" "
		newsource.Picture = " "
ENDCASE
 
ENDDEFINE 

DEFINE CLASS cmdquit as COMMANDBUTTON
Top = T5_LOC
Left = L5_LOC
Height = H4_LOC
Caption= OK_LOC
Default = .T.

PROCEDURE click
	RELEASE thisform
ENDPROC

ENDDEFINE

DEFINE CLASS cmdreset as COMMANDBUTTON
*Resets the Caption and Picture for the buttons on the form
Top = T6_LOC
Left = L5_LOC
Height = H4_LOC
Caption = RESET_LOC
Default = .T.
PROCEDURE click
*reset the values to what they were
FOR i= 1 to 9
   THISFORM.CMDFORM(i).Caption = " "
   THISFORm.CMDFORM(i).Picture = " "
ENDFOR
ENDDEFINE
